tigase.server.script

## Class AbstractScriptCommand

- java.lang.Object
- - tigase.server.script.AbstractScriptCommand

- All Implemented Interfaces:
    CommandIfc
  Direct Known Subclasses:
    AddScriptCommand, RemoveScriptCommand, Script

      public abstract class AbstractScriptCommand
      extends Object
      implements CommandIfc

  Created: Jan 2, 2009 2:32:17 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<String,String>` | `lineCommentStart` Field description

    - ### Fields inherited from interface tigase.server.script.CommandIfc

      `ADD_SCRIPT_CMD, ADMINS_SET, ADMN_CMDS, ADMN_DISC, AUTH_REPO, COMMAND_ID, COMMANDS_ACL, COMPONENT_NAME, DEL_SCRIPT_CMD, DESCRIPT, LANGUAGE, PACKET, SAVE_TO_DISK, SCRI_MANA, SCRIPT_BASE_DIR, SCRIPT_COMP_DIR, SCRIPT_COMPONENT, SCRIPT_DESCRIPTION, SCRIPT_ID, SCRIPT_RESULT, SCRIPT_TEXT, SERVICES_MAP, USER_CONN, USER_REPO, USER_SESS, VHOST_MANAGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractScriptCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCommandId()` Method description
    `String` | `getDescription()` Method description
    `void` | `init(String id, String description)` Method description
    `boolean` | `isAdminOnly()` Method description
    `protected boolean` | `isEmpty(String val)`
    `void` | `setAdminOnly(boolean adminOnly)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.server.script.CommandIfc

      `getBindings, runCommand`

- - ### Field Detail

    - #### lineCommentStart

          public static final Map<String,String> lineCommentStart

      Field description

  - ### Constructor Detail

    - #### AbstractScriptCommand

          public AbstractScriptCommand()

  - ### Method Detail

    - #### getCommandId

          public String getCommandId()

      Method description
      Specified by:
        `getCommandId` in interface `CommandIfc`

    - #### getDescription

          public String getDescription()

      Method description
      Specified by:
        `getDescription` in interface `CommandIfc`

    - #### init

          public void init(String id,
                  String description)

      Method description
      Specified by:
        `init` in interface `CommandIfc`
      Parameters:
        `id` -
        `description` -

    - #### isAdminOnly

          public boolean isAdminOnly()

      Method description
      Specified by:
        `isAdminOnly` in interface `CommandIfc`

    - #### setAdminOnly

          public void setAdminOnly(boolean adminOnly)

      Method description
      Specified by:
        `setAdminOnly` in interface `CommandIfc`
      Parameters:
        `adminOnly` -

    - #### isEmpty

          protected boolean isEmpty(String val)

Copyright © 2014 "Tigase, Inc.". All rights reserved.